from engines.inference_engine cimport InferenceEngine


cdef class CoreMLEngine(InferenceEngine):

    cdef object model
    cdef int img_width
    cdef int img_height

    cdef tuple get_input_shape(self)
    cdef run(self, input_data)
    cdef preprocess(self, list frames)
    cdef list postprocess(self, output, object ai_config)
